Eclipse Platform Release 3.7

## org.eclipse.swt.ole.win32
Class OLE

    java.lang.Object
      org.eclipse.swt.SWT
          org.eclipse.swt.ole.win32.OLE

    public class OLE

extends SWT

OLE contains all the constants used to create an ActiveX Control or an OLE Document.

Definitions for these constants can be found in MSDN.

Field Summary
`static int` `CC_CDECL`
`static int` `CC_FASTCALL`
`static int` `CC_FPFASTCALL`
`static int` `CC_MACPASCAL`
`static int` `CC_MAX`
`static int` `CC_MPWCDECL`
`static int` `CC_MPWPASCAL`
`static int` `CC_MSCPASCAL`
`static int` `CC_PASCAL`
`static int` `CC_STDCALL`
`static int` `CC_SYSCALL`
`static int` `E_FAIL`
`static int` `E_INVALIDARG`
`static int` `E_NOINTERFACE`
`static int` `E_NOTIMPL`
`static int` `ERROR_ACTION_NOT_PERFORMED` Error code for OleError - Action can not be performed
`static int` `ERROR_APPLICATION_NOT_FOUND` Error code for OleError - Unable to find Application
`static int` `ERROR_CANNOT_ACCESS_CLASSFACTORY` Error code for OleError - Failed to get the class factory for the specified classID
`static int` `ERROR_CANNOT_CHANGE_VARIANT_TYPE` Error code for OleError - Failed to change Variant type
`static int` `ERROR_CANNOT_CREATE_FILE` Error code for OleError - Failed to create file
`static int` `ERROR_CANNOT_CREATE_LICENSED_OBJECT` Error code for OleError - Failed to create Licensed instance
`static int` `ERROR_CANNOT_CREATE_OBJECT` Error code for OleError - Failed to create Ole Client
`static int` `ERROR_CANNOT_OPEN_FILE` Error code for OleError - File does not exist, is not accessible to user or does not have the correct format
`static int` `ERROR_INTERFACE_NOT_FOUND` Error code for OleError - Failed to find requested interface on OLE Object
`static int` `ERROR_INVALID_CLASSID` Error code for OleError - Class ID not found in registry
`static int` `ERROR_INVALID_INTERFACE_ADDRESS` Error code for OleError - Invalid address received for Ole Interface
`static int` `ERROR_OUT_OF_MEMORY` Error code for OleError - Out of Memory
`static int` `FUNC_DISPATCH`
`static int` `FUNC_NONVIRTUAL`
`static int` `FUNC_PUREVIRTUAL`
`static int` `FUNC_STATIC`
`static int` `FUNC_VIRTUAL`
`static short` `FUNCFLAG_FBINDABLE`
`static short` `FUNCFLAG_FDEFAULTBIND`
`static short` `FUNCFLAG_FDEFAULTCOLLELEM`
`static short` `FUNCFLAG_FDISPLAYBIND`
`static short` `FUNCFLAG_FHIDDEN`
`static short` `FUNCFLAG_FIMMEDIATEBIND`
`static short` `FUNCFLAG_FNONBROWSABLE`
`static short` `FUNCFLAG_FREPLACEABLE`
`static short` `FUNCFLAG_FREQUESTEDIT`
`static short` `FUNCFLAG_FRESTRICTED`
`static short` `FUNCFLAG_FSOURCE`
`static short` `FUNCFLAG_FUIDEFAULT`
`static short` `FUNCFLAG_FUSESGETLASTERROR`
`static int` `HRESULT_UNSPECIFIED` Error code for OleError - No specific error information available
`static short` `IDLFLAG_FIN`
`static short` `IDLFLAG_FLCID`
`static short` `IDLFLAG_FOUT`
`static short` `IDLFLAG_FRETVAL`
`static short` `IDLFLAG_NONE`
`static String` `IID_IDISPATCH`
`static String` `IID_IUNKNOWN`
`static int` `INVOKE_FUNC`
`static int` `INVOKE_PROPERTYGET`
`static int` `INVOKE_PROPERTYPUT`
`static int` `INVOKE_PROPERTYPUTREF`
`static int` `OLECMDEXECOPT_DODEFAULT`
`static int` `OLECMDEXECOPT_DONTPROMPTUSER`
`static int` `OLECMDEXECOPT_PROMPTUSER`
`static int` `OLECMDEXECOPT_SHOWHELP`
`static int` `OLECMDF_ENABLED`
`static int` `OLECMDF_LATCHED`
`static int` `OLECMDF_NINCHED`
`static int` `OLECMDF_SUPPORTED`
`static int` `OLECMDID_CLEARSELECTION`
`static int` `OLECMDID_COPY`
`static int` `OLECMDID_CUT`
`static int` `OLECMDID_GETZOOMRANGE`
`static int` `OLECMDID_HIDETOOLBARS`
`static int` `OLECMDID_NEW`
`static int` `OLECMDID_OPEN`
`static int` `OLECMDID_PAGESETUP`
`static int` `OLECMDID_PASTE`
`static int` `OLECMDID_PASTESPECIAL`
`static int` `OLECMDID_PRINT`
`static int` `OLECMDID_PRINTPREVIEW`
`static int` `OLECMDID_PROPERTIES`
`static int` `OLECMDID_REDO`
`static int` `OLECMDID_REFRESH`
`static int` `OLECMDID_SAVE`
`static int` `OLECMDID_SAVEAS`
`static int` `OLECMDID_SAVECOPYAS`
`static int` `OLECMDID_SELECTALL`
`static int` `OLECMDID_SETDOWNLOADSTATE`
`static int` `OLECMDID_SETPROGRESSMAX`
`static int` `OLECMDID_SETPROGRESSPOS`
`static int` `OLECMDID_SETPROGRESSTEXT`
`static int` `OLECMDID_SETTITLE`
`static int` `OLECMDID_SPELL`
`static int` `OLECMDID_STOP`
`static int` `OLECMDID_STOPDOWNLOAD`
`static int` `OLECMDID_UNDO`
`static int` `OLECMDID_UPDATECOMMANDS`
`static int` `OLECMDID_ZOOM`
`static int` `OLECMDTEXTF_NAME`
`static int` `OLECMDTEXTF_NONE`
`static int` `OLECMDTEXTF_STATUS`
`static int` `OLEIVERB_DISCARDUNDOSTATE`
`static int` `OLEIVERB_HIDE`
`static int` `OLEIVERB_INPLACEACTIVATE`
`static int` `OLEIVERB_OPEN`
`static int` `OLEIVERB_PRIMARY`
`static int` `OLEIVERB_PROPERTIES`
`static int` `OLEIVERB_SHOW`
`static int` `OLEIVERB_UIACTIVATE`
`static int` `PROPERTY_CHANGED`
`static int` `PROPERTY_CHANGING`
`static int` `S_FALSE`
`static int` `S_OK`
`static int` `VAR_CONST`
`static int` `VAR_DISPATCH`
`static int` `VAR_PERINSTANCE`
`static int` `VAR_STATIC`
`static int` `VARFLAG_FBINDABLE`
`static int` `VARFLAG_FDEFAULTBIND`
`static int` `VARFLAG_FDEFAULTCOLLELEM`
`static int` `VARFLAG_FDISPLAYBIND`
`static int` `VARFLAG_FHIDDEN`
`static int` `VARFLAG_FIMMEDIATEBIND`
`static int` `VARFLAG_FNONBROWSABLE`
`static int` `VARFLAG_FREADONLY`
`static int` `VARFLAG_FREPLACEABLE`
`static int` `VARFLAG_FREQUESTEDIT`
`static int` `VARFLAG_FRESTRICTED`
`static int` `VARFLAG_FSOURCE`
`static int` `VARFLAG_FUIDEFAULT`
`static short` `VT_ARRAY`
`static short` `VT_BLOB`
`static short` `VT_BLOB_OBJECT`
`static short` `VT_BOOL`
`static short` `VT_BSTR`
`static short` `VT_BSTR_BLOB`
`static short` `VT_BYREF`
`static short` `VT_CARRAY`
`static short` `VT_CF`
`static short` `VT_CLSID`
`static short` `VT_CY`
`static short` `VT_DATE`
`static short` `VT_DECIMAL`
`static short` `VT_DISPATCH`
`static short` `VT_EMPTY`
`static short` `VT_ERROR`
`static short` `VT_FILETIME`
`static short` `VT_HRESULT`
`static short` `VT_I1`
`static short` `VT_I2`
`static short` `VT_I4`
`static short` `VT_I8`
`static short` `VT_INT`
`static short` `VT_LPSTR`
`static short` `VT_LPWSTR`
`static short` `VT_NULL`
`static short` `VT_PTR`
`static short` `VT_R4`
`static short` `VT_R8`
`static short` `VT_RECORD`
`static short` `VT_SAFEARRAY`
`static short` `VT_STORAGE`
`static short` `VT_STORED_OBJECT`
`static short` `VT_STREAM`
`static short` `VT_STREAMED_OBJECT`
`static short` `VT_UI1`
`static short` `VT_UI2`
`static short` `VT_UI4`
`static short` `VT_UI8`
`static short` `VT_UINT`
`static short` `VT_UNKNOWN`
`static short` `VT_USERDEFINED`
`static short` `VT_VARIANT`
`static short` `VT_VECTOR`
`static short` `VT_VERSIONED_STREAM`
`static short` `VT_VOID`

Fields inherited from class org.eclipse.swt.SWT

`ABORT, Activate, ALL, ALPHA, ALT, APPLICATION_MODAL, Arm, ARROW, ARROW_DOWN, ARROW_LEFT, ARROW_RIGHT, ARROW_UP, BACKGROUND, BALLOON, BAR, BEGINNING, BITMAP, BOLD, BORDER, BORDER_DASH, BORDER_DOT, BORDER_SOLID, BOTTOM, BREAK, BS, BUTTON_MASK, BUTTON1, BUTTON2, BUTTON3, BUTTON4, BUTTON5, CALENDAR, CANCEL, CAP_FLAT, CAP_ROUND, CAP_SQUARE, CAPS_LOCK, CASCADE, CENTER, CHANGED, CHECK, CLIP_CHILDREN, CLIP_SIBLINGS, Close, CLOSE, Collapse, COLOR_BLACK, COLOR_BLUE, COLOR_CYAN, COLOR_DARK_BLUE, COLOR_DARK_CYAN, COLOR_DARK_GRAY, COLOR_DARK_GREEN, COLOR_DARK_MAGENTA, COLOR_DARK_RED, COLOR_DARK_YELLOW, COLOR_GRAY, COLOR_GREEN, COLOR_INFO_BACKGROUND, COLOR_INFO_FOREGROUND, COLOR_LIST_BACKGROUND, COLOR_LIST_FOREGROUND, COLOR_LIST_SELECTION, COLOR_LIST_SELECTION_TEXT, COLOR_MAGENTA, COLOR_RED, COLOR_TITLE_BACKGROUND, COLOR_TITLE_BACKGROUND_GRADIENT, COLOR_TITLE_FOREGROUND, COLOR_TITLE_INACTIVE_BACKGROUND, COLOR_TITLE_INACTIVE_BACKGROUND_GRADIENT, COLOR_TITLE_INACTIVE_FOREGROUND, COLOR_WHITE, COLOR_WIDGET_BACKGROUND, COLOR_WIDGET_BORDER, COLOR_WIDGET_DARK_SHADOW, COLOR_WIDGET_FOREGROUND, COLOR_WIDGET_HIGHLIGHT_SHADOW, COLOR_WIDGET_LIGHT_SHADOW, COLOR_WIDGET_NORMAL_SHADOW, COLOR_YELLOW, COMMAND, COMPOSITION_CHANGED, COMPOSITION_OFFSET, COMPOSITION_SELECTION, CONTROL, CR, CTRL, CURSOR_APPSTARTING, CURSOR_ARROW, CURSOR_CROSS, CURSOR_HAND, CURSOR_HELP, CURSOR_IBEAM, CURSOR_NO, CURSOR_SIZEALL, CURSOR_SIZEE, CURSOR_SIZEN, CURSOR_SIZENE, CURSOR_SIZENESW, CURSOR_SIZENS, CURSOR_SIZENW, CURSOR_SIZENWSE, CURSOR_SIZES, CURSOR_SIZESE, CURSOR_SIZESW, CURSOR_SIZEW, CURSOR_SIZEWE, CURSOR_UPARROW, CURSOR_WAIT, DATE, DBCS, Deactivate, DEFAULT, DefaultSelection, DEFER, Deiconify, DEL, DELIMITER_SELECTION, DIALOG_TRIM, Dispose, DM_FILL_BACKGROUND, DM_FILL_NONE, DM_FILL_PREVIOUS, DM_UNSPECIFIED, DOUBLE_BUFFERED, DOWN, DRAG, DragDetect, DRAW_DELIMITER, DRAW_MNEMONIC, DRAW_TAB, DRAW_TRANSPARENT, DROP_DOWN, EMBEDDED, END, EraseItem, ERROR, ERROR_CANNOT_BE_ZERO, ERROR_CANNOT_GET_COUNT, ERROR_CANNOT_GET_ENABLED, ERROR_CANNOT_GET_ITEM, ERROR_CANNOT_GET_ITEM_HEIGHT, ERROR_CANNOT_GET_SELECTION, ERROR_CANNOT_GET_TEXT, ERROR_CANNOT_INVERT_MATRIX, ERROR_CANNOT_SET_ENABLED, ERROR_CANNOT_SET_MENU, ERROR_CANNOT_SET_SELECTION, ERROR_CANNOT_SET_TEXT, ERROR_DEVICE_DISPOSED, ERROR_FAILED_EVALUATE, ERROR_FAILED_EXEC, ERROR_FAILED_LOAD_LIBRARY, ERROR_FUNCTION_DISPOSED, ERROR_GRAPHIC_DISPOSED, ERROR_INVALID_ARGUMENT, ERROR_INVALID_FONT, ERROR_INVALID_IMAGE, ERROR_INVALID_PARENT, ERROR_INVALID_RANGE, ERROR_INVALID_RETURN_VALUE, ERROR_INVALID_SUBCLASS, ERROR_IO, ERROR_ITEM_NOT_ADDED, ERROR_ITEM_NOT_REMOVED, ERROR_MENU_NOT_BAR, ERROR_MENU_NOT_DROP_DOWN, ERROR_MENU_NOT_POP_UP, ERROR_MENUITEM_NOT_CASCADE, ERROR_NO_GRAPHICS_LIBRARY, ERROR_NO_HANDLES, ERROR_NO_MORE_CALLBACKS, ERROR_NOT_IMPLEMENTED, ERROR_NULL_ARGUMENT, ERROR_THREAD_INVALID_ACCESS, ERROR_UNSPECIFIED, ERROR_UNSUPPORTED_DEPTH, ERROR_UNSUPPORTED_FORMAT, ERROR_WIDGET_DISPOSED, ESC, Expand, F1, F10, F11, F12, F13, F14, F15, F16, F17, F18, F19, F2, F20, F3, F4, F5, F6, F7, F8, F9, FILL, FILL_EVEN_ODD, FILL_WINDING, FLAT, FOCUSED, FocusIn, FocusOut, FOREGROUND, FULL_SELECTION, Gesture, GESTURE_BEGIN, GESTURE_END, GESTURE_MAGNIFY, GESTURE_PAN, GESTURE_ROTATE, GESTURE_SWIPE, H_SCROLL, HardKeyDown, HardKeyUp, Help, HELP, Hide, HIDE_SELECTION, HIGH, HOME, HORIZONTAL, HOT, ICON, ICON_CANCEL, ICON_ERROR, ICON_INFORMATION, ICON_QUESTION, ICON_SEARCH, ICON_WARNING, ICON_WORKING, Iconify, ID_ABOUT, ID_HIDE, ID_HIDE_OTHERS, ID_PREFERENCES, ID_QUIT, ID_SHOW_ALL, IGNORE, IMAGE_BMP, IMAGE_BMP_RLE, IMAGE_COPY, IMAGE_DISABLE, IMAGE_GIF, IMAGE_GRAY, IMAGE_ICO, IMAGE_JPEG, IMAGE_OS2_BMP, IMAGE_PNG, IMAGE_TIFF, IMAGE_UNDEFINED, ImeComposition, INDETERMINATE, INHERIT_DEFAULT, INHERIT_FORCE, INHERIT_NONE, INSERT, ITALIC, JOIN_BEVEL, JOIN_MITER, JOIN_ROUND, KEY_MASK, KEYCODE_BIT, KeyDown, KEYPAD, KEYPAD_0, KEYPAD_1, KEYPAD_2, KEYPAD_3, KEYPAD_4, KEYPAD_5, KEYPAD_6, KEYPAD_7, KEYPAD_8, KEYPAD_9, KEYPAD_ADD, KEYPAD_CR, KEYPAD_DECIMAL, KEYPAD_DIVIDE, KEYPAD_EQUAL, KEYPAD_MULTIPLY, KEYPAD_SUBTRACT, KeyUp, LAST_LINE_SELECTION, LEAD, LEFT, LEFT_TO_RIGHT, LF, LINE_CUSTOM, LINE_DASH, LINE_DASHDOT, LINE_DASHDOTDOT, LINE_DOT, LINE_SOLID, LONG, LOW, MAX, MeasureItem, MEDIUM, MENU, MenuDetect, MIN, MIRRORED, MOD1, MOD2, MOD3, MOD4, MODELESS, MODIFIER_MASK, Modify, MouseDoubleClick, MouseDown, MouseEnter, MouseExit, MouseHorizontalWheel, MouseHover, MouseMove, MouseUp, MouseVerticalWheel, MouseWheel, Move, MOVEMENT_CHAR, MOVEMENT_CLUSTER, MOVEMENT_WORD, MOVEMENT_WORD_END, MOVEMENT_WORD_START, MOZILLA, MULTI, NATIVE, NO, NO_BACKGROUND, NO_FOCUS, NO_MERGE_PAINTS, NO_RADIO_GROUP, NO_REDRAW_RESIZE, NO_SCROLL, NO_TRIM, None, NONE, NORMAL, NULL, NUM_LOCK, OFF, OK, ON, ON_TOP, OPEN, OpenDocument, OrientationChange, PAGE_DOWN, PAGE_UP, Paint, PaintItem, PASSWORD, PATH_CLOSE, PATH_CUBIC_TO, PATH_LINE_TO, PATH_MOVE_TO, PATH_QUAD_TO, PAUSE, PAUSED, PHONETIC, POP_UP, PRIMARY_MODAL, PRINT_SCREEN, PUSH, RADIO, READ_ONLY, Resize, RESIZE, RETRY, RIGHT, RIGHT_TO_LEFT, ROMAN, SAVE, SCROLL_LINE, SCROLL_LOCK, SCROLL_PAGE, SEARCH, SELECTED, Selection, SEPARATOR, SEPARATOR_FILL, SetData, Settings, SHADOW_ETCHED_IN, SHADOW_ETCHED_OUT, SHADOW_IN, SHADOW_NONE, SHADOW_OUT, SHEET, SHELL_TRIM, SHIFT, SHORT, Show, SIMPLE, SINGLE, Skin, SKIN_CLASS, SKIN_ID, SMOOTH, SPACE, SYSTEM_MODAL, TAB, TIME, TITLE, TOGGLE, TOOL, TOP, Touch, TOUCHSTATE_DOWN, TOUCHSTATE_MOVE, TOUCHSTATE_UP, TRAIL, TRANSPARENCY_ALPHA, TRANSPARENCY_MASK, TRANSPARENCY_NONE, TRANSPARENCY_PIXEL, TRANSPARENT, Traverse, TRAVERSE_ARROW_NEXT, TRAVERSE_ARROW_PREVIOUS, TRAVERSE_ESCAPE, TRAVERSE_MNEMONIC, TRAVERSE_NONE, TRAVERSE_PAGE_NEXT, TRAVERSE_PAGE_PREVIOUS, TRAVERSE_RETURN, TRAVERSE_TAB_NEXT, TRAVERSE_TAB_PREVIOUS, UNDERLINE_DOUBLE, UNDERLINE_ERROR, UNDERLINE_LINK, UNDERLINE_SINGLE, UNDERLINE_SQUIGGLE, UP, V_SCROLL, Verify, VERTICAL, VIRTUAL, WEBKIT, WRAP, YES`

Constructor Summary
`OLE()`

Method Summary
`static void` `error(int code)`
`static void` `error(int code, int hresult)`
`static String` `findProgramID(String extension)`
`static boolean` `isOleFile(File file)` Returns true if the specified file has an OLE Storage format.

Methods inherited from class org.eclipse.swt.SWT
`error, error, getMessage, getPlatform, getVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### S_FALSE

    public static final int S_FALSE

See Also:
  Constant Field Values

### S_OK

    public static final int S_OK

See Also:
  Constant Field Values

### E_FAIL

    public static final int E_FAIL

See Also:
  Constant Field Values

### E_INVALIDARG

    public static final int E_INVALIDARG

See Also:
  Constant Field Values

### E_NOINTERFACE

    public static final int E_NOINTERFACE

See Also:
  Constant Field Values

### E_NOTIMPL

    public static final int E_NOTIMPL

See Also:
  Constant Field Values

### IID_IUNKNOWN

    public static final String IID_IUNKNOWN

See Also:
  Constant Field Values

### IID_IDISPATCH

    public static final String IID_IDISPATCH

See Also:
  Constant Field Values

### OLEIVERB_DISCARDUNDOSTATE

    public static final int OLEIVERB_DISCARDUNDOSTATE

See Also:
  Constant Field Values

### OLEIVERB_HIDE

    public static final int OLEIVERB_HIDE

See Also:
  Constant Field Values

### OLEIVERB_INPLACEACTIVATE

    public static final int OLEIVERB_INPLACEACTIVATE

See Also:
  Constant Field Values

### OLEIVERB_OPEN

    public static final int OLEIVERB_OPEN

See Also:
  Constant Field Values

### OLEIVERB_PRIMARY

    public static final int OLEIVERB_PRIMARY

See Also:
  Constant Field Values

### OLEIVERB_PROPERTIES

    public static final int OLEIVERB_PROPERTIES

See Also:
  Constant Field Values

### OLEIVERB_SHOW

    public static final int OLEIVERB_SHOW

See Also:
  Constant Field Values

### OLEIVERB_UIACTIVATE

    public static final int OLEIVERB_UIACTIVATE

See Also:
  Constant Field Values

### PROPERTY_CHANGING

    public static final int PROPERTY_CHANGING

See Also:
  Constant Field Values

### PROPERTY_CHANGED

    public static final int PROPERTY_CHANGED

See Also:
  Constant Field Values

### HRESULT_UNSPECIFIED

    public static final int HRESULT_UNSPECIFIED

  Error code for OleError - No specific error information available

  See Also:
    Constant Field Values

### ERROR_CANNOT_CREATE_FILE

    public static final int ERROR_CANNOT_CREATE_FILE

  Error code for OleError - Failed to create file

  See Also:
    Constant Field Values

### ERROR_CANNOT_CREATE_OBJECT

    public static final int ERROR_CANNOT_CREATE_OBJECT

  Error code for OleError - Failed to create Ole Client

  See Also:
    Constant Field Values

### ERROR_CANNOT_OPEN_FILE

    public static final int ERROR_CANNOT_OPEN_FILE

  Error code for OleError - File does not exist, is not accessible to user or does not have the correct format

  See Also:
    Constant Field Values

### ERROR_INTERFACE_NOT_FOUND

    public static final int ERROR_INTERFACE_NOT_FOUND

  Error code for OleError - Failed to find requested interface on OLE Object

  See Also:
    Constant Field Values

### ERROR_INVALID_CLASSID

    public static final int ERROR_INVALID_CLASSID

  Error code for OleError - Class ID not found in registry

  See Also:
    Constant Field Values

### ERROR_CANNOT_ACCESS_CLASSFACTORY

    public static final int ERROR_CANNOT_ACCESS_CLASSFACTORY

  Error code for OleError - Failed to get the class factory for the specified classID

  See Also:
    Constant Field Values

### ERROR_CANNOT_CREATE_LICENSED_OBJECT

    public static final int ERROR_CANNOT_CREATE_LICENSED_OBJECT

  Error code for OleError - Failed to create Licensed instance

  See Also:
    Constant Field Values

### ERROR_OUT_OF_MEMORY

    public static final int ERROR_OUT_OF_MEMORY

  Error code for OleError - Out of Memory

  See Also:
    Constant Field Values

### ERROR_CANNOT_CHANGE_VARIANT_TYPE

    public static final int ERROR_CANNOT_CHANGE_VARIANT_TYPE

  Error code for OleError - Failed to change Variant type

  See Also:
    Constant Field Values

### ERROR_INVALID_INTERFACE_ADDRESS

    public static final int ERROR_INVALID_INTERFACE_ADDRESS

  Error code for OleError - Invalid address received for Ole Interface

  See Also:
    Constant Field Values

### ERROR_APPLICATION_NOT_FOUND

    public static final int ERROR_APPLICATION_NOT_FOUND

  Error code for OleError - Unable to find Application

  See Also:
    Constant Field Values

### ERROR_ACTION_NOT_PERFORMED

    public static final int ERROR_ACTION_NOT_PERFORMED

  Error code for OleError - Action can not be performed

  See Also:
    Constant Field Values

### OLECMDF_SUPPORTED

    public static final int OLECMDF_SUPPORTED

See Also:
  Constant Field Values

### OLECMDF_ENABLED

    public static final int OLECMDF_ENABLED

See Also:
  Constant Field Values

### OLECMDF_LATCHED

    public static final int OLECMDF_LATCHED

See Also:
  Constant Field Values

### OLECMDF_NINCHED

    public static final int OLECMDF_NINCHED

See Also:
  Constant Field Values

### OLECMDTEXTF_NONE

    public static final int OLECMDTEXTF_NONE

See Also:
  Constant Field Values

### OLECMDTEXTF_NAME

    public static final int OLECMDTEXTF_NAME

See Also:
  Constant Field Values

### OLECMDTEXTF_STATUS

    public static final int OLECMDTEXTF_STATUS

See Also:
  Constant Field Values

### OLECMDEXECOPT_DODEFAULT

    public static final int OLECMDEXECOPT_DODEFAULT

See Also:
  Constant Field Values

### OLECMDEXECOPT_PROMPTUSER

    public static final int OLECMDEXECOPT_PROMPTUSER

See Also:
  Constant Field Values

### OLECMDEXECOPT_DONTPROMPTUSER

    public static final int OLECMDEXECOPT_DONTPROMPTUSER

See Also:
  Constant Field Values

### OLECMDEXECOPT_SHOWHELP

    public static final int OLECMDEXECOPT_SHOWHELP

See Also:
  Constant Field Values

### OLECMDID_OPEN

    public static final int OLECMDID_OPEN

See Also:
  Constant Field Values

### OLECMDID_NEW

    public static final int OLECMDID_NEW

See Also:
  Constant Field Values

### OLECMDID_SAVE

    public static final int OLECMDID_SAVE

See Also:
  Constant Field Values

### OLECMDID_SAVEAS

    public static final int OLECMDID_SAVEAS

See Also:
  Constant Field Values

### OLECMDID_SAVECOPYAS

    public static final int OLECMDID_SAVECOPYAS

See Also:
  Constant Field Values

### OLECMDID_PRINT

    public static final int OLECMDID_PRINT

See Also:
  Constant Field Values

### OLECMDID_PRINTPREVIEW

    public static final int OLECMDID_PRINTPREVIEW

See Also:
  Constant Field Values

### OLECMDID_PAGESETUP

    public static final int OLECMDID_PAGESETUP

See Also:
  Constant Field Values

### OLECMDID_SPELL

    public static final int OLECMDID_SPELL

See Also:
  Constant Field Values

### OLECMDID_PROPERTIES

    public static final int OLECMDID_PROPERTIES

See Also:
  Constant Field Values

### OLECMDID_CUT

    public static final int OLECMDID_CUT

See Also:
  Constant Field Values

### OLECMDID_COPY

    public static final int OLECMDID_COPY

See Also:
  Constant Field Values

### OLECMDID_PASTE

    public static final int OLECMDID_PASTE

See Also:
  Constant Field Values

### OLECMDID_PASTESPECIAL

    public static final int OLECMDID_PASTESPECIAL

See Also:
  Constant Field Values

### OLECMDID_UNDO

    public static final int OLECMDID_UNDO

See Also:
  Constant Field Values

### OLECMDID_REDO

    public static final int OLECMDID_REDO

See Also:
  Constant Field Values

### OLECMDID_SELECTALL

    public static final int OLECMDID_SELECTALL

See Also:
  Constant Field Values

### OLECMDID_CLEARSELECTION

    public static final int OLECMDID_CLEARSELECTION

See Also:
  Constant Field Values

### OLECMDID_ZOOM

    public static final int OLECMDID_ZOOM

See Also:
  Constant Field Values

### OLECMDID_GETZOOMRANGE

    public static final int OLECMDID_GETZOOMRANGE

See Also:
  Constant Field Values

### OLECMDID_UPDATECOMMANDS

    public static final int OLECMDID_UPDATECOMMANDS

See Also:
  Constant Field Values

### OLECMDID_REFRESH

    public static final int OLECMDID_REFRESH

See Also:
  Constant Field Values

### OLECMDID_STOP

    public static final int OLECMDID_STOP

See Also:
  Constant Field Values

### OLECMDID_HIDETOOLBARS

    public static final int OLECMDID_HIDETOOLBARS

See Also:
  Constant Field Values

### OLECMDID_SETPROGRESSMAX

    public static final int OLECMDID_SETPROGRESSMAX

See Also:
  Constant Field Values

### OLECMDID_SETPROGRESSPOS

    public static final int OLECMDID_SETPROGRESSPOS

See Also:
  Constant Field Values

### OLECMDID_SETPROGRESSTEXT

    public static final int OLECMDID_SETPROGRESSTEXT

See Also:
  Constant Field Values

### OLECMDID_SETTITLE

    public static final int OLECMDID_SETTITLE

See Also:
  Constant Field Values

### OLECMDID_SETDOWNLOADSTATE

    public static final int OLECMDID_SETDOWNLOADSTATE

See Also:
  Constant Field Values

### OLECMDID_STOPDOWNLOAD

    public static final int OLECMDID_STOPDOWNLOAD

See Also:
  Constant Field Values

### VARFLAG_FREADONLY

    public static int VARFLAG_FREADONLY

### VARFLAG_FSOURCE

    public static int VARFLAG_FSOURCE

### VARFLAG_FBINDABLE

    public static int VARFLAG_FBINDABLE

### VARFLAG_FREQUESTEDIT

    public static int VARFLAG_FREQUESTEDIT

### VARFLAG_FDISPLAYBIND

    public static int VARFLAG_FDISPLAYBIND

### VARFLAG_FDEFAULTBIND

    public static int VARFLAG_FDEFAULTBIND

### VARFLAG_FHIDDEN

    public static int VARFLAG_FHIDDEN

### VARFLAG_FRESTRICTED

    public static int VARFLAG_FRESTRICTED

### VARFLAG_FDEFAULTCOLLELEM

    public static int VARFLAG_FDEFAULTCOLLELEM

### VARFLAG_FUIDEFAULT

    public static int VARFLAG_FUIDEFAULT

### VARFLAG_FNONBROWSABLE

    public static int VARFLAG_FNONBROWSABLE

### VARFLAG_FREPLACEABLE

    public static int VARFLAG_FREPLACEABLE

### VARFLAG_FIMMEDIATEBIND

    public static int VARFLAG_FIMMEDIATEBIND

### VAR_PERINSTANCE

    public static int VAR_PERINSTANCE

### VAR_STATIC

    public static int VAR_STATIC

### VAR_CONST

    public static int VAR_CONST

### VAR_DISPATCH

    public static int VAR_DISPATCH

### IDLFLAG_NONE

    public static short IDLFLAG_NONE

### IDLFLAG_FIN

    public static short IDLFLAG_FIN

### IDLFLAG_FOUT

    public static short IDLFLAG_FOUT

### IDLFLAG_FLCID

    public static short IDLFLAG_FLCID

### IDLFLAG_FRETVAL

    public static short IDLFLAG_FRETVAL

### VT_BOOL

    public static final short VT_BOOL

See Also:
  Constant Field Values

### VT_BSTR

    public static final short VT_BSTR

See Also:
  Constant Field Values

### VT_BYREF

    public static final short VT_BYREF

See Also:
  Constant Field Values

### VT_CY

    public static final short VT_CY

See Also:
  Constant Field Values

### VT_DATE

    public static final short VT_DATE

See Also:
  Constant Field Values

### VT_DISPATCH

    public static final short VT_DISPATCH

See Also:
  Constant Field Values

### VT_EMPTY

    public static final short VT_EMPTY

See Also:
  Constant Field Values

### VT_ERROR

    public static final short VT_ERROR

See Also:
  Constant Field Values

### VT_I2

    public static final short VT_I2

See Also:
  Constant Field Values

### VT_I4

    public static final short VT_I4

See Also:
  Constant Field Values

### VT_NULL

    public static final short VT_NULL

See Also:
  Constant Field Values

### VT_R4

    public static final short VT_R4

See Also:
  Constant Field Values

### VT_R8

    public static final short VT_R8

See Also:
  Constant Field Values

### VT_UI1

    public static final short VT_UI1

See Also:
  Constant Field Values

### VT_UI4

    public static final short VT_UI4

See Also:
  Constant Field Values

### VT_UNKNOWN

    public static final short VT_UNKNOWN

See Also:
  Constant Field Values

### VT_VARIANT

    public static final short VT_VARIANT

See Also:
  Constant Field Values

### VT_PTR

    public static final short VT_PTR

See Also:
  Constant Field Values

### VT_USERDEFINED

    public static final short VT_USERDEFINED

See Also:
  Constant Field Values

### VT_HRESULT

    public static final short VT_HRESULT

See Also:
  Constant Field Values

### VT_DECIMAL

    public static final short VT_DECIMAL

See Also:
  Constant Field Values

### VT_I1

    public static final short VT_I1

See Also:
  Constant Field Values

### VT_UI2

    public static final short VT_UI2

See Also:
  Constant Field Values

### VT_I8

    public static final short VT_I8

See Also:
  Constant Field Values

### VT_UI8

    public static final short VT_UI8

See Also:
  Constant Field Values

### VT_INT

    public static final short VT_INT

See Also:
  Constant Field Values

### VT_UINT

    public static final short VT_UINT

See Also:
  Constant Field Values

### VT_VOID

    public static final short VT_VOID

See Also:
  Constant Field Values

### VT_SAFEARRAY

    public static final short VT_SAFEARRAY

See Also:
  Constant Field Values

### VT_CARRAY

    public static final short VT_CARRAY

See Also:
  Constant Field Values

### VT_LPSTR

    public static final short VT_LPSTR

See Also:
  Constant Field Values

### VT_LPWSTR

    public static final short VT_LPWSTR

See Also:
  Constant Field Values

### VT_RECORD

    public static final short VT_RECORD

See Also:
  Constant Field Values

### VT_FILETIME

    public static final short VT_FILETIME

See Also:
  Constant Field Values

### VT_BLOB

    public static final short VT_BLOB

See Also:
  Constant Field Values

### VT_STREAM

    public static final short VT_STREAM

See Also:
  Constant Field Values

### VT_STORAGE

    public static final short VT_STORAGE

See Also:
  Constant Field Values

### VT_STREAMED_OBJECT

    public static final short VT_STREAMED_OBJECT

See Also:
  Constant Field Values

### VT_STORED_OBJECT

    public static final short VT_STORED_OBJECT

See Also:
  Constant Field Values

### VT_BLOB_OBJECT

    public static final short VT_BLOB_OBJECT

See Also:
  Constant Field Values

### VT_CF

    public static final short VT_CF

See Also:
  Constant Field Values

### VT_CLSID

    public static final short VT_CLSID

See Also:
  Constant Field Values

### VT_VERSIONED_STREAM

    public static final short VT_VERSIONED_STREAM

See Also:
  Constant Field Values

### VT_BSTR_BLOB

    public static final short VT_BSTR_BLOB

See Also:
  Constant Field Values

### VT_VECTOR

    public static final short VT_VECTOR

See Also:
  Constant Field Values

### VT_ARRAY

    public static final short VT_ARRAY

See Also:
  Constant Field Values

### INVOKE_FUNC

    public static final int INVOKE_FUNC

See Also:
  Constant Field Values

### INVOKE_PROPERTYGET

    public static final int INVOKE_PROPERTYGET

See Also:
  Constant Field Values

### INVOKE_PROPERTYPUT

    public static final int INVOKE_PROPERTYPUT

See Also:
  Constant Field Values

### INVOKE_PROPERTYPUTREF

    public static final int INVOKE_PROPERTYPUTREF

See Also:
  Constant Field Values

### FUNC_VIRTUAL

    public static final int FUNC_VIRTUAL

See Also:
  Constant Field Values

### FUNC_PUREVIRTUAL

    public static final int FUNC_PUREVIRTUAL

See Also:
  Constant Field Values

### FUNC_NONVIRTUAL

    public static final int FUNC_NONVIRTUAL

See Also:
  Constant Field Values

### FUNC_STATIC

    public static final int FUNC_STATIC

See Also:
  Constant Field Values

### FUNC_DISPATCH

    public static final int FUNC_DISPATCH

See Also:
  Constant Field Values

### FUNCFLAG_FRESTRICTED

    public static final short FUNCFLAG_FRESTRICTED

See Also:
  Constant Field Values

### FUNCFLAG_FSOURCE

    public static final short FUNCFLAG_FSOURCE

See Also:
  Constant Field Values

### FUNCFLAG_FBINDABLE

    public static final short FUNCFLAG_FBINDABLE

See Also:
  Constant Field Values

### FUNCFLAG_FREQUESTEDIT

    public static final short FUNCFLAG_FREQUESTEDIT

See Also:
  Constant Field Values

### FUNCFLAG_FDISPLAYBIND

    public static final short FUNCFLAG_FDISPLAYBIND

See Also:
  Constant Field Values

### FUNCFLAG_FDEFAULTBIND

    public static final short FUNCFLAG_FDEFAULTBIND

See Also:
  Constant Field Values

### FUNCFLAG_FHIDDEN

    public static final short FUNCFLAG_FHIDDEN

See Also:
  Constant Field Values

### FUNCFLAG_FUSESGETLASTERROR

    public static final short FUNCFLAG_FUSESGETLASTERROR

See Also:
  Constant Field Values

### FUNCFLAG_FDEFAULTCOLLELEM

    public static final short FUNCFLAG_FDEFAULTCOLLELEM

See Also:
  Constant Field Values

### FUNCFLAG_FUIDEFAULT

    public static final short FUNCFLAG_FUIDEFAULT

See Also:
  Constant Field Values

### FUNCFLAG_FNONBROWSABLE

    public static final short FUNCFLAG_FNONBROWSABLE

See Also:
  Constant Field Values

### FUNCFLAG_FREPLACEABLE

    public static final short FUNCFLAG_FREPLACEABLE

See Also:
  Constant Field Values

### FUNCFLAG_FIMMEDIATEBIND

    public static final short FUNCFLAG_FIMMEDIATEBIND

See Also:
  Constant Field Values

### CC_FASTCALL

    public static final int CC_FASTCALL

See Also:
  Constant Field Values

### CC_CDECL

    public static final int CC_CDECL

See Also:
  Constant Field Values

### CC_MSCPASCAL

    public static final int CC_MSCPASCAL

See Also:
  Constant Field Values

### CC_PASCAL

    public static final int CC_PASCAL

See Also:
  Constant Field Values

### CC_MACPASCAL

    public static final int CC_MACPASCAL

See Also:
  Constant Field Values

### CC_STDCALL

    public static final int CC_STDCALL

See Also:
  Constant Field Values

### CC_FPFASTCALL

    public static final int CC_FPFASTCALL

See Also:
  Constant Field Values

### CC_SYSCALL

    public static final int CC_SYSCALL

See Also:
  Constant Field Values

### CC_MPWCDECL

    public static final int CC_MPWCDECL

See Also:
  Constant Field Values

### CC_MPWPASCAL

    public static final int CC_MPWPASCAL

See Also:
  Constant Field Values

### CC_MAX

    public static final int CC_MAX

See Also:
  Constant Field Values

Constructor Detail

### OLE

    public OLE()

Method Detail

### error

    public static void error(int code)

### error

    public static void error(int code,
                             int hresult)

### findProgramID

    public static String findProgramID(String extension)

### isOleFile

    public static boolean isOleFile(File file)

  Returns true if the specified file has an OLE Storage format. Note all empty files (regardless of extension) will return false.

  Parameters:
    `file` - the file to be checked
  Returns:
    true if this file has an OLE Storage format

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.